<?php
error_reporting(E_ALL);
ini_set("display_errors","1");
ini_set("max_execution_time","300");
if(function_exists("date_default_timezone_set") and function_exists("date_default_timezone_get")) @date_default_timezone_set(@date_default_timezone_get());
@session_start();

// Helper classes
require_once("Utils.class.php");
require_once("Settings.class.php");

if (Settings::isPrivate() && ($_SERVER["PHP_AUTH_USER"] != Settings::getPrivateModusUsername() || $_SERVER["PHP_AUTH_PW"] != Settings::getPrivateModusPassword())) {
		header("WWW-Authenticate: Basic realm=\"Enter username and password to proceed\"");
    	header("HTTP/1.0 401 Unauthorized");
    	echo "<h1>Authentication failed</h1>Dreambox is running in private modus.";
		exit;
}

// Dreambox part
require_once("Dreambox.class.php");
require_once("Boutique.class.php");
require_once("Channel.class.php");
require_once("ProgramGuide.class.php");
require_once("Program.class.php");
require_once("Recording.class.php");
require_once("MediaInfo.class.php");
require_once("Movie.class.php");

// Server part
require_once("VLCServer.class.php");

$lDreamBoxObj = new Dreambox();

// XAJAX Framework part
include_once("Ajax.class.php");
require("xajax/xajax_core/xajax.inc.php");

$xajax = new xajax();
if (Settings::getDebug()) {
	require_once("Debug.class.php");
	$gDebugObj = new Debug();
	$xajax->configure('debug',true);
}
$xajax->configure('javascript URI','xajax');
$xajax->register(XAJAX_FUNCTION,'action');
$xajax->processRequest();
if (!file_exists("tmp")) @mkdir("tmp");
if (Utils::isMobileDevice() || (isset($_GET["mobile"]) && $_GET["mobile"] == 1)) {
	require_once("index-mobile.php");
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php echo Settings::getDreamboxName() . " - " . Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></title>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
  <meta name="author" content="Joshua (TheYOSH) Rubingh"/>
  <meta name="copyright" content="2008 - <?php echo date("Y") ?> TheYOSH" />
  <meta name="keywords" content="Restream video from a Dreambox Satelite receiver" />
  <meta name="description" content="Restream video from a Dreambox Satelite receiver" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <?php $xajax->printJavascript(); // XAJAX part 2 ?>
  <script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
  <script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
  <script type="text/javascript" src="js/jquery.scrollTo-1.4.2-min.js"></script>
  <script type="text/javascript" src="jwplayer/jwplayer.js" ></script>
  <script type="text/javascript" src="js/javascript.js" ></script>
  <link rel="stylesheet" type="text/css" media="screen" href="css/dot-luv/jquery-ui-1.8.18.custom.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
</head>
<body>
<div id="wrapper">
	<h1><?php echo Settings::getDreamboxName() . " - " . Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></h1>
	<div id="ReStreamUI">
		<div id="PlayerWrapper">
			<div id="ReStreamPlayer"> </div>
			<div id="loading"> </div>
			<div id="ProgramInfo"><span class="Channel">[Channel]</span><strong>[Program]</strong><br />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam turpis tellus, vehicula sit amet consequat vitae, convallis at arcu. Donec rhoncus velit at enim iaculis euismod. Integer interdum tortor facilisis libero pharetra accumsan. Duis vitae viverra sapien.</div>
			<div id="ProgramProgress"> </div>
			<div id="VLCStatus"> </div>
		</div>
		<div id="ProgramGuide">
			<div id="List">
				<h3><a href="#">Boutiques</a></h3>
				<div style="text-align:center;padding: 10px;">Loading....</div>
				<h3><a href="#">&nbsp;</a></h3>
			</div>
		</div>
	</div>
	<?php if (Settings::getDebug()) echo "<div id=\"errorLog\"></div>"; ?>
</div>
<div id="message" title="<?php echo Settings::getDreamboxName(); ?> message..."></div>
</body>
</html>